1 Reply Latest reply: Oct 13, 2012 6:22 AM by dominic23
Bill.Laughlin Level 1 (0 points)

For the life of me, I cannot find the OS X Lion 10.7 upgrade package.  My mac mini is too old to go any higher, and I need iCloud on it.  I need to get from OS X 10.6.8 to 10.7.

Mac mini, Mac OS X (10.7)